Bug 1394183 - Review Request: perl-Text-VCardFast - Perl extension for very fast parsing of VCards
Summary: Review Request: perl-Text-VCardFast - Perl extension for very fast parsing of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1394252 1394262
TreeView+ depends on / blocked
 
Reported: 2016-11-11 11:02 UTC by Petr Pisar
Modified: 2017-02-15 20:52 UTC (History)
2 users (show)

Fixed In Version: perl-Text-VCardFast-0.09-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 20:50:25 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-11-11 11:02:14 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Text-VCardFast/perl-Text-VCardFast.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Text-VCardFast/perl-Text-VCardFast-0.08-1.fc26.src.rpm
Description:
Text::VCardFast is designed to parse VCards very quickly compared to pure-Perl
solutions. It has a Perl and an XS version of the same API, accessible
as vcard2hash_pp and vcard2hash_c, with the XS version being preferred.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-11-15 11:18:10 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Text-VCardFast-0.08-1.fc26.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.24()(64bit)
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Encode)
      1 perl(Exporter)
      1 perl(MIME::Base64)
      1 perl(XSLoader)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -qp --provides perl-Text-VCardFast-0.08-1.fc26.x86_64.rpm | sort | uniq -c
      1 perl(Text::VCardFast) = 0.08
      1 perl-Text-VCardFast = 0.08-1.fc26
      1 perl-Text-VCardFast(x86-64) = 0.08-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Text-VCardFast*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

FIX: Please update to the latest version (0.09) before submit.
     It contains fix for CPAN RT#118711 which is patched in spec.


Please correct all 'FIX' issue.

Otherwise package is good.
Approved.

Comment 2 Gwyn Ciesla 2016-11-15 14:20:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Text-VCardFast

Comment 3 Petr Pisar 2016-11-15 15:38:52 UTC
Thank you for the review and the repository. I upgraded the package to 0.09 version.

Comment 4 Fedora Update System 2016-11-15 16:57:58 UTC
perl-Text-VCardFast-0.09-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d21eb3c9e9

Comment 5 Fedora Update System 2016-11-15 16:58:12 UTC
perl-Text-VCardFast-0.09-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02d23ebb5a

Comment 6 Fedora Update System 2016-11-16 20:24:49 UTC
perl-Text-VCardFast-0.09-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d21eb3c9e9

Comment 7 Fedora Update System 2016-11-17 03:57:00 UTC
perl-Text-VCardFast-0.09-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02d23ebb5a

Comment 8 Fedora Update System 2016-11-21 13:30:48 UTC
perl-Text-VCardFast-0.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d21eb3c9e9

Comment 9 Fedora Update System 2016-11-21 13:32:20 UTC
perl-Text-VCardFast-0.11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02d23ebb5a

Comment 10 Fedora Update System 2016-11-23 20:30:35 UTC
perl-Text-VCardFast-0.11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02d23ebb5a

Comment 11 Fedora Update System 2016-11-23 23:04:53 UTC
perl-Text-VCardFast-0.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d21eb3c9e9

Comment 12 Fedora Update System 2017-02-15 20:50:25 UTC
perl-Text-VCardFast-0.11-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-02-15 20:52:56 UTC
perl-Text-VCardFast-0.11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.